1.3.26/1.3.28/1.3.29

Vernon Schryver vjs@calcite.rhyolite.com
Wed Feb 15 06:53:08 UTC 2006


> From: "Paul R. Ganci" 

> Today, I tried to update from 1.3.25 to 1.3.29 and get the following error:

> Feb 14 21:30:59 nureyev dccd grey[26618]: give up after select(): Invalid argument

>
>  Needless to say greylisting does not work since dccd won't start.  I 
> had to back out the upgrade and go back to 1.3.25 for the time being. 
> What has changed between 1.3.25 and 1.3.26 to cause this problem?

I know of nothing and see nothing relevant in `rcsdiff`.

Did you use updatedcc to install the newer versions?
If not did you use *exactly* the same ./configure parameters and
/var/dcc (or /etc/dcc ?) files including flod and dcc_conf?

>                                                                   What 
> do I do to fix it?

Have you tried added -d or -dd to GREY_DCCD_ARGS in /etc/dcc/dcc_conf?
If so, are there any differences in the system log messages between
1.3.25 and 1.3.29?


>                    I am running Centos 4.2.

http://www.centos.org/ 
implies that Centos 4.2 is Linux 2.6.  Is that right?
What hardware are you using?


I just tried dccd version 1.3.29 on an older Linux kernel and saw no
problems. 
Dozens of the DCC servers in the network are running 1.3.26 or newer.
I assume at least a few are running some flavor of Linux.  Am I wrong?


Vernon Schryver    vjs@rhyolite.com



More information about the DCC mailing list

Contact vjs@rhyolite.com by mail or use the form.